<?php
/**
 * Translatable provider name.
 *
 * @var string $core_name Integration name.
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<p>
	<input type="text" name="api_key" class="wpforms-required"
		placeholder="<?php printf( /* translators: %s - current provider name. */ esc_attr__( '%s API Key *', 'wpforms-sendinblue' ), esc_html( $core_name ) ); ?>">
	<span class="error" style="display: none;">
		<?php esc_html_e( 'Something went wrong while performing an AJAX request.', 'wpforms-sendinblue' ); ?>
	</span>
</p>
<p>
	<input type="text" name="account_name"
		placeholder="<?php printf( /* translators: %s - current provider name. */ esc_attr__( '%s Account Nickname', 'wpforms-sendinblue' ), esc_html( $core_name ) ); ?>">
</p>
<p class="description">
	<?php
	printf(
		wp_kses( /* translators: %s - URL to the ActiveCampaign Getting started page. */
			__( 'The API Key can be found in your Sendinblue account settings. <a href="%s" target="_blank" rel="noopener noreferrer">Learn More</a>.', 'wpforms-sendinblue' ),
			[
				'a' => [
					'href'   => [],
					'target' => [],
					'rel'    => [],
				],
			]
		),
		'https://wpforms.com/docs/how-to-install-and-use-the-sendinblue-addon-with-wpforms'
	);
	?>
</p>

<p class="error form-error" style="display: none">
	<?php esc_html_e( 'Something went wrong while performing an AJAX request.', 'wpforms-sendinblue' ); ?>
</p>
